Description: use python3.2+
Author: Damir R. Islamov <damir@trefle.ru>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2020-10-11

--- vmd-1.9.3+ds.orig/src/PythonTextInterp.C
+++ vmd-1.9.3+ds/src/PythonTextInterp.C
@@ -114,9 +114,9 @@ static PyMethodDef CallbackMethods[] = {
   {(char *)"del_callback", (vmdPyMethod)del_callback, METH_VARARGS },
   {NULL, NULL}
 };
-  
+
 static void initvmdcallbacks() {
-  PyObject *m = Py_InitModule((char *)"vmdcallbacks", CallbackMethods);
+  PyObject *m = PyModule_Create(CallbackMethods);
   PyObject *dict = PyDict_New();
   PyDict_SetItemString(dict, (char *)"display_update", PyList_New(0));
   PyDict_SetItemString(dict, (char *)"frame", PyList_New(0));
@@ -146,8 +146,8 @@ PythonTextInterp::PythonTextInterp(VMDAp
   set_vmdapp(app);
 
   // Set up the prompts
-  PySys_SetObject((char *)"ps1", PyString_FromString((char *)""));
-  PySys_SetObject((char *)"ps2", PyString_FromString((char *)"... "));
+  PySys_SetObject((char *)"ps1", PyBytes_FromString((char *)""));
+  PySys_SetObject((char *)"ps2", PyBytes_FromString((char *)"... "));
  
   initvmdcallbacks();
   initvmd();
